You are not logged in.

#1 2020-07-06 16:19:28

Pawh
Member
Registered: 2015-09-01
Posts: 5

[SOLVED] Qcad issues with QT (5.14.2 vs 5.15.0)

Hello,
I tried opening qcad today and ran into the issue of it trying to load something of QT 5.14.2, which is now out of date. This happens as the splash screen is on "Initialising plugins: 99%\n Forum".
What's the best way to go around finding the culprit? I already tried disabling all plugins called qt, but that didn't do anything.
Or should I just flag it out of date and wait?

Or have I borked something else and qcad runs perfectly for you?

% qcad
QCAD version  3.24.3.8
Warning:  RPropertyTypeId::generateId: property already initialized:  7RObject : "" : "Invisible"
Fatal:    Cannot mix incompatible Qt library (5.14.2) with this library (5.15.0)
[1]    19937 abort (core dumped)  qcad

Last edited by Pawh (2020-07-08 15:31:33)

Offline

#2 2020-07-06 16:40:08

loqs
Member
Registered: 2014-03-06
Posts: 11,247

Re: [SOLVED] Qcad issues with QT (5.14.2 vs 5.15.0)

If you create a new user and run qcad as that new user can you reproduce the issue?

Offline

#3 2020-07-06 16:52:30

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,703

Re: [SOLVED] Qcad issues with QT (5.14.2 vs 5.15.0)

Look at the backtrace and it will tell you what it is.

Offline

#4 2020-07-08 15:31:01

Pawh
Member
Registered: 2015-09-01
Posts: 5

Re: [SOLVED] Qcad issues with QT (5.14.2 vs 5.15.0)

Thanks loqs and arojas.
The gdb backtrace revealed that the culprit was /usr/lib/qcad/plugins/sqldrivers/libqsqlite.so.
I monkey-patched it by bringing in my qt5 copy from /usr/lib/qt/plugins/sqldrivers/libqsqlite.so, according to the readme in the same folder.

Don't really see how the file got there from the PKGBUILD though, but I will rebuild it from source and possibly contact the maintainer of qcad for a rebuild.

Last edited by Pawh (2020-07-08 15:31:17)

Offline

Board footer

Powered by FluxBB